// IBUFDS_INTERMDISABLE: Differential Input Buffer With Input Buffer Disable and On-die Input Termination Disable
//                       Versal Prime series
// Xilinx HDL Language Template, version 2022.1

IBUFDS_INTERMDISABLE #(
   .SIM_DEVICE("VERSAL_PRIME"), // Set the device version for simulation functionality (VERSAL_PRIME,
                                // VERSAL_PRIME_ES1)
   .USE_IBUFDISABLE("TRUE")     // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE)
)
IBUFDS_INTERMDISABLE_inst (
   .O(O),                         // 1-bit output: Buffer output
   .I(I),                         // 1-bit input: Diff_p buffer input (connect directly to top-level port)
   .IB(IB),                       // 1-bit input: Diff_n buffer input (connect directly to top-level port)
   .IBUFDISABLE(IBUFDISABLE),     // 1-bit input: Buffer input disable, high=disable
   .INTERMDISABLE(INTERMDISABLE)  // 1-bit input: Buffer termination disable, high=disable
);

// End of IBUFDS_INTERMDISABLE_inst instantiation
