// MBUFGCE_DIV: Multi-Output Clock Buffer with an enable and divide function
//              Versal Prime series
// Xilinx HDL Language Template, version 2022.1

MBUFGCE_DIV #(
   .BUFGCE_DIVIDE(1),      // 1-8
   .CE_TYPE("SYNC"),       // HARDSYNC, SYNC
   .HARDSYNC_CLR("FALSE"), // FALSE, TRUE
   .MODE("PERFORMANCE"),   // PERFORMANCE, POWER
   // Programmable Inversion Attributes: Specifies built-in programmable inversion on specific pins
   .IS_CE_INVERTED(1'b0),  // Optional inversion for CE
   .IS_CLR_INVERTED(1'b0), // Optional inversion for CLR
   .IS_I_INVERTED(1'b0)    // Optional inversion for I
)
MBUFGCE_DIV_inst (
   .O1(O1),               // 1-bit output: Buffer
   .O2(O2),               // 1-bit output: Buffer
   .O3(O3),               // 1-bit output: Buffer
   .O4(O4),               // 1-bit output: Buffer
   .CE(CE),               // 1-bit input: Buffer enable
   .CLR(CLR),             // 1-bit input: Asynchronous clear
   .CLRB_LEAF(CLRB_LEAF), // 1-bit input: Active low clear
   .I(I)                  // 1-bit input: Buffer
);

// End of MBUFGCE_DIV_inst instantiation
